unit MergeWizardU;

// This sample shows how to use the TciMailMergeWizard Component.

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Buttons, StdCtrls, Grids, DBGrids, Db, DBTables, ciMailMerge, BDE,
  ciMailMergeWizard;

type
  TfrmMergeWizardSample = class(TForm)
    Table: TTable;
    DataSource: TDataSource;
    DBGrid1: TDBGrid;
    cmbAlias: TComboBox;
    cmbTable: TComboBox;
    Label1: TLabel;
    Label2: TLabel;
    btnMerge: TButton;
    btnQuit: TButton;
    cmbWordProcessor: TComboBox;
    Label3: TLabel;
    Database: TDatabase;
    ciMailMergeWizard: TciMailMergeWizard;
    procedure btnQuitClick(Sender: TObject);
    procedure btnMergeClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure cmbAliasChange(Sender: TObject);
    procedure cmbTableChange(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmMergeWizardSample: TfrmMergeWizardSample;

implementation

{$R *.DFM}

// Copied directly from the BDE help file
procedure fDbiOpenTableList(hTmpDb: hDBIDb; TableList: TStrings);
var
  hCursor : hDBICur;
  ListDesc : TBLBaseDesc;
begin
   Check(DbiOpenTableList(hTmpDb, False, False, '*.DB*', hCursor));
   TableList.Clear;
   while DbiGetNextRecord(hCursor, dbiNOLOCK, @ListDesc, nil) = dbiErr_None do
     TableList.Add(ListDesc.szName);
end;


procedure TfrmMergeWizardSample.btnQuitClick(Sender: TObject);
begin
   Table.Close;
   Close;
end;

procedure TfrmMergeWizardSample.btnMergeClick(Sender: TObject);
begin
   case cmbWordProcessor.ItemIndex of      //
      0 : ciMailMergeWizard.WordProcessor := wpWord;
      1 : ciMailMergeWizard.WordProcessor := wpWordPerfect;
   end;      // case

   ciMailMergeWizard.Execute;
end;

procedure TfrmMergeWizardSample.FormCreate(Sender: TObject);
begin
   Session.GetAliasNames(cmbAlias.Items)
end;

procedure TfrmMergeWizardSample.cmbAliasChange(Sender: TObject);
begin
   Database.Connected := false;
   Database.AliasName := cmbAlias.Text;
   Database.Connected := true;
   fDbiOpenTableList(Database.Handle, cmbTable.Items);
end;

procedure TfrmMergeWizardSample.cmbTableChange(Sender: TObject);
begin
   Table.Close;
   Table.TableName := cmbTable.Text;
   Table.Open;
end;

end.
